commit:     fa59d0b744056ebe78a8c384e4511b78e186112c
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  9 10:13:29 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Dec  9 10:24:12 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa59d0b7

dev-ml/findlib: bump to 1.6.1

Package-Manager: portage-2.2.26
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/findlib/Manifest             |  1 +
 dev-ml/findlib/files/quoting.patch  | 15 ++++++++
 dev-ml/findlib/findlib-1.6.1.ebuild | 76 +++++++++++++++++++++++++++++++++++++
 3 files changed, 92 insertions(+)

diff --git a/dev-ml/findlib/Manifest b/dev-ml/findlib/Manifest
index c3a93c6..e793f94 100644
--- a/dev-ml/findlib/Manifest
+++ b/dev-ml/findlib/Manifest
@@ -1,3 +1,4 @@
 DIST findlib-1.4.tar.gz 231526 SHA256 
6e4065e5d79d31176ec213ff94599c4eae17c3904c2896e845d0379a99f1bdf8 SHA512 
7ee5bee74f6fc14c8d85496e673d42b63e056d35a724fe4f78fd1010a5af4506a9a962c0403fd96d5bf51f2278bfbe98a60aad65a171803cbde935cc3889157b
 WHIRLPOOL 
31f1d0b9f1605a9a536ae996fb4abe5e1d5c47012759cb7bb45185d58a81e827d80285628b113f79d51b8b260cdff181c3eb05596adeea9a87070994058fce17
 DIST findlib-1.5.5.tar.gz 240247 SHA256 
aafaba4f7453c38347ff5269c6fd4f4c243ae2bceeeb5e10b9dab89329905946 SHA512 
051817ae897a53b705ad641ae7e9010474f2320d3cc7cfd15edc9345f50566932cb44bf6f45772260706b5f9e9e91194802600c770c9c96f772985678db7209d
 WHIRLPOOL 
f1ad9b77c1f38f6d733f2a17c14649d4ca9f05215b5fa8124e71dc3e05b229c34af10415471d56964384c1fe0b0b0db453638d7e1238af916e5ff854b931cd76
 DIST findlib-1.5.6.tar.gz 250865 SHA256 
7743b3dcaf8a344c882e89f61601f7f086d46c0f2ea4fcc3e54069236825e3f8 SHA512 
18d23861a25b1508cb419af4cdd6e3cd83d51bef259f162c86b91460cf3dad75d6c2fc11173f60fe36b61ce3f81b78e69344f093adb9a82c36256d95180e93d8
 WHIRLPOOL 
eb374e60c3f2fcc6172ec08803fbc5b0e83ea0d38644b4c13cb3d27b3dc13c7240a4f49a9ee51f9465ac6ff6075140c3e98b3eb0ea48690f260f139f37dfb63c
+DIST findlib-1.6.1.tar.gz 254797 SHA256 
411c816e89d17d1b5b454e3d42f9b261cf929fc468f9f6e2787273ab69784b09 SHA512 
b781d117ff033e8b91b6610c562382c5868a25ceed51f0a5947a77bfdd5825723ad32adcbe1636d4f7952d4c7535093f5c8ad3b954bebb1dcf4738f7a16d3ef8
 WHIRLPOOL 
1c3ed89aeb53cd95c0eaa82f1df8c364ad79403cf89ca19245620819998353da089daf5d3377919f2b4676c48f4d926d384e5a80312884f84e1efc41307f88fd

diff --git a/dev-ml/findlib/files/quoting.patch 
b/dev-ml/findlib/files/quoting.patch
new file mode 100644
index 0000000..2fd71bb
--- /dev/null
+++ b/dev-ml/findlib/files/quoting.patch
@@ -0,0 +1,15 @@
+Proper quoting for install man.
+
+Index: findlib-1.6.1/Makefile
+===================================================================
+--- findlib-1.6.1.orig/Makefile
++++ findlib-1.6.1/Makefile
+@@ -71,7 +71,7 @@ findlib.conf: findlib.conf.in
+ 
+ .PHONY: install-doc
+ install-doc:
+-      mkdir -p "$(prefix)$(OCAMLFIND_MAN)/man1" 
"$(prefix)$(OCAMLFIND_MAN)/man3 $(prefix)$(OCAMLFIND_MAN)/man5"
++      mkdir -p "$(prefix)$(OCAMLFIND_MAN)/man1" 
"$(prefix)$(OCAMLFIND_MAN)/man3" "$(prefix)$(OCAMLFIND_MAN)/man5"
+       -cp doc/ref-man/ocamlfind.1 "$(prefix)$(OCAMLFIND_MAN)/man1"
+       -cp doc/ref-man/META.5 doc/ref-man/site-lib.5 
doc/ref-man/findlib.conf.5 "$(prefix)$(OCAMLFIND_MAN)/man5"
+ 

diff --git a/dev-ml/findlib/findlib-1.6.1.ebuild 
b/dev-ml/findlib/findlib-1.6.1.ebuild
new file mode 100644
index 0000000..e5f49e7
--- /dev/null
+++ b/dev-ml/findlib/findlib-1.6.1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit multilib eutils
+
+DESCRIPTION="OCaml tool to find/use non-standard packages"
+HOMEPAGE="http://projects.camlcity.org/projects/findlib.html";
+SRC_URI="http://download.camlcity.org/download/${P}.tar.gz";
+IUSE="doc +ocamlopt tk"
+
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd 
~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+
+DEPEND=">=dev-lang/ocaml-4.02.1:=[ocamlopt?]
+       tk? ( dev-ml/labltk:= )"
+RDEPEND="${DEPEND}"
+
+ocamlfind_destdir="${EPREFIX}/usr/$(get_libdir)/ocaml"
+stublibs="${ocamlfind_destdir}/stublibs"
+
+src_prepare() {
+       epatch "${FILESDIR}/externalmeta.patch" \
+               "${FILESDIR}/quoting.patch"
+}
+
+src_configure() {
+       local myconf
+       use tk && myconf="-with-toolbox"
+       ./configure -bindir "${EPREFIX}"/usr/bin -mandir 
"${EPREFIX}"/usr/share/man \
+               -sitelib ${ocamlfind_destdir} \
+               -config ${ocamlfind_destdir}/findlib/findlib.conf \
+               -no-custom \
+               ${myconf} || die "configure failed"
+}
+
+src_compile() {
+       emake -j1 all
+       if use ocamlopt; then
+               emake -j1 opt # optimized code
+       fi
+}
+
+src_install() {
+       emake prefix="${D}" install
+
+       dodir "${stublibs#${EPREFIX}}"
+
+       cd "${S}/doc"
+       dodoc QUICKSTART README DOCINFO
+       use doc && dohtml -r ref-html guide-html
+}
+
+check_stublibs() {
+       local ocaml_stdlib=`ocamlc -where`
+       local ldconf="${ocaml_stdlib}/ld.conf"
+
+       if [ ! -e ${ldconf} ]
+       then
+               echo "${ocaml_stdlib}" > ${ldconf}
+               echo "${ocaml_stdlib}/stublibs" >> ${ldconf}
+       fi
+
+       if [ -z `grep -e ${stublibs} ${ldconf}` ]
+       then
+               echo ${stublibs} >> ${ldconf}
+       fi
+}
+
+pkg_postinst() {
+       check_stublibs
+}

Reply via email to